{
  "custom": {},
  "params": {
    "data": [
      {
        "color": "#4C9C2E",
        "text": "Running: 441.75 minutes",
        "value": 441.75
      },
      {
        "color": "#EC1C24",
        "text": "Unplanned Downtime: 137.1 minutes",
        "value": 137.1
      }
    ],
    "eqPath": "",
    "label": ""
  },
  "propConfig": {
    "params.data": {
      "paramDirection": "input",
      "persistent": true
    },
    "params.eqPath": {
      "paramDirection": "input",
      "persistent": true
    },
    "params.label": {
      "paramDirection": "input",
      "persistent": true
    }
  },
  "props": {
    "defaultSize": {
      "height": 400,
      "width": 352
    }
  },
  "root": {
    "children": [
      {
        "meta": {
          "name": "Label"
        },
        "propConfig": {
          "props.text": {
            "binding": {
              "config": {
                "path": "view.params.label"
              },
              "transforms": [
                {
                  "expression": "concat({value}, \" \", toInt(tag( concat( \u0027[MES]\u0027, replace({view.params.eqPath},\"\\\\\",\"/\"), \"/Live Analysis/Current Shift/OEE \", {view.params.label})) *100), \"%\")\r\n \r\n \r\n\r\n",
                  "type": "expression"
                }
              ],
              "type": "property"
            }
          }
        },
        "props": {
          "style": {
            "borderBottomColor": "#00000080",
            "borderBottomStyle": "solid",
            "borderBottomWidth": 1,
            "fontSize": 19,
            "marginBottom": 20,
            "textAlign": "center"
          }
        },
        "type": "ia.display.label"
      },
      {
        "children": [
          {
            "meta": {
              "name": "blocks"
            },
            "position": {
              "basis": "30px"
            },
            "propConfig": {
              "props.instances": {
                "binding": {
                  "config": {
                    "path": "view.params.data"
                  },
                  "overlayOptOut": true,
                  "transforms": [
                    {
                      "code": "\tinstances\u003d[]\n\ttotal\u003d0.0\n\tfor i in value:\n\t\ttotal+\u003di[\u0027value\u0027]\n\tif total\u003c\u003d0.0:\n\t\treturn []\n\tfor i in value:\n\t\tinstances.append({\n\t\t\t\"instancePosition\": {\n\t\t\t\t\"basis\": str((i[\u0027value\u0027]*100/total))+\"%\"\n\t\t\t},\n\t\t\t\"color\": i.get(\u0027color\u0027) or \u0027#000000\u0027,\n\t\t})\n\treturn instances",
                      "type": "script"
                    }
                  ],
                  "type": "property"
                }
              }
            },
            "props": {
              "direction": "column",
              "elementPosition": {
                "basis": "auto",
                "grow": 0,
                "shrink": 0
              },
              "elementStyle": {
                "overflow": "hidden"
              },
              "path": "Page/Embedded/Stacked Bar with labels - color block",
              "style": {
                "marginRight": "20px",
                "overflow": "visible"
              },
              "useDefaultViewHeight": false,
              "useDefaultViewWidth": false
            },
            "type": "ia.display.flex-repeater"
          },
          {
            "meta": {
              "name": "text"
            },
            "position": {
              "basis": "150px",
              "grow": 1
            },
            "propConfig": {
              "props.instances": {
                "binding": {
                  "config": {
                    "path": "view.params.data"
                  },
                  "overlayOptOut": true,
                  "transforms": [
                    {
                      "code": "\tinstances\u003d[]\n\ttotal\u003d0.0\n\tfor i in value:\n\t\ttotal+\u003di[\u0027value\u0027]\n\tif total\u003c\u003d0.0:\n\t\treturn []\n\tfor i in value:\n\t\ttext \u003d i[\u0027text\u0027]\n\t\tindex \u003d i[\u0027text\u0027].find(\".\")\n\t\tif index !\u003d -1:\n\t\t\tend \u003d i[\u0027text\u0027][index + 1:]\n\t\t\ttext \u003d i[\u0027text\u0027][:index + 2] +  \u0027\u0027.join([n for n in end if not n.isdigit()])\n\t\t\n\t\t\n\t\tinstances.append({\n\t\t\t\"instancePosition\": {\n\t\t\t\t\"basis\": str((i[\u0027value\u0027]*100/total))+\"%\"\n\t\t\t},\n\t\t\t\"text\": (text or \u0027\u0027).format(value\u003di[\u0027value\u0027])\n\t\t})\n\n\treturn instances",
                      "type": "script"
                    }
                  ],
                  "type": "property"
                }
              }
            },
            "props": {
              "direction": "column",
              "elementPosition": {
                "basis": "auto",
                "grow": 0
              },
              "elementStyle": {
                "minHeight": "1rem",
                "overflow": "visible"
              },
              "path": "Page/Embedded/Stacked Bar with labels - text block",
              "style": {
                "color": "#000000",
                "overflow": "visible"
              },
              "useDefaultViewHeight": false,
              "useDefaultViewWidth": false
            },
            "type": "ia.display.flex-repeater"
          }
        ],
        "meta": {
          "name": "FlexContainer"
        },
        "position": {
          "grow": 1
        },
        "props": {
          "style": {
            "overflow": "visible"
          }
        },
        "type": "ia.container.flex"
      }
    ],
    "meta": {
      "name": "root"
    },
    "props": {
      "alignContent": "center",
      "direction": "column",
      "style": {
        "color": "#000000",
        "margin": "20px",
        "overflow": "visible"
      }
    },
    "type": "ia.container.flex"
  }
}